;;;; init-prime.el: init file for prime-el
;;;; $Id: _init-prime.el.in,v 1.11 2004/01/23 22:45:08 komatsu Exp $
;;;; 
;;;; Copyright (C) 2002,2003 Hiroyuki Komatsu <komatsu@taiyaki.org>
;;;;     All rights reserved.
;;;;     This is free software with ABSOLUTELY NO WARRANTY.
;;;; 
;;;; You can redistribute it and/or modify it under the terms of 
;;;; the GNU General Public License version 2.

(setq load-path
      (cons (expand-file-name "${prefix}/share/emacs/site-lisp/prime-el")
	    (cons (expand-file-name "${prefix}/share/emacs/site-lisp/prime-el/contrib")
		  load-path)))
(defvar prime-init-config-file
  (expand-file-name (concat "/usr/local/etc/prime"
			    "/Custom_prime-el.el")))

(defconst prime-version '("1.5.1.3" "2005-03-02"))

(autoload 'prime-mode "prime" "Toggle PRIME mode.
PRIME is a Japanese Predictive Input Method Editor." t)

(if (functionp 'register-input-method)
    (register-input-method "japanese-prime" "Japanese"
			   'prime-mode ""
			   "PRIME: Japanese PRedictive IME")
  (global-set-key "\C-\\" 'prime-mode))
(if (and (boundp 'default-input-method)
	 (not default-input-method))
    (setq default-input-method "japanese-prime"))

(provide 'init-prime)
;;;; Text properties for Emacs.
; Local variables:
; mode: emacs-lisp
; End:
